org.apache.lucene.util

## Class FailOnNonBulkMergesInfoStream

- java.lang.Object
- - org.apache.lucene.util.InfoStream
  - - org.apache.lucene.util.FailOnNonBulkMergesInfoStream

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class FailOnNonBulkMergesInfoStream
    extends InfoStream

Hackidy-Häck-Hack to cause a test to fail on non-bulk merges

### Field Summary

### Fields inherited from class org.apache.lucene.util.InfoStream

`NO_OUTPUT`

### Constructor Summary

Constructors
Constructor and Description
`FailOnNonBulkMergesInfoStream()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `isEnabled(String component)`
`void` `message(String component, String message)`

### Methods inherited from class org.apache.lucene.util.InfoStream

`getDefault, setDefault`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailOnNonBulkMergesInfoStream

    public FailOnNonBulkMergesInfoStream()

### Method Detail

#### close

    public void close()
               throws IOException

Throws:
  `IOException`

#### isEnabled

    public boolean isEnabled(String component)

Specified by:
  `isEnabled` in class `InfoStream`

#### message

    public void message(String component,
                        String message)

Specified by:
  `message` in class `InfoStream`